跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Create an organization

POST
/orgs
curl --request POST \
--url https://gitea.example.com/api/v1/orgs \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "email": "example", "full_name": "example", "location": "example", "repo_admin_change_team_access": true, "username": "example", "visibility": "public", "website": "example" }'
Media typeapplication/json

CreateOrgOption options for creating an organization

object
description

The description of the organization

string
email

The email address of the organization

string
full_name

The full display name of the organization

string
location

The location of the organization

string
repo_admin_change_team_access

Whether repository administrators can change team access

boolean
username
required

Username of the organization

string
visibility

Possible values are public (default), limited or private

string
Allowed values: public limited private
website

The website URL of the organization

string

Organization

Media typeapplication/json

Organization represents an organization

object
avatar_url

The URL of the organization’s avatar

string
description

The description of the organization

string
email

The email address of the organization

string
full_name

The full display name of the organization

string
id

The unique identifier of the organization

integer format: int64
location

The location of the organization

string
name

The name of the organization

string
repo_admin_change_team_access

Whether repository administrators can change team access

boolean
username

Username of the organization deprecated

string
visibility

The visibility level of the organization (public, limited, private)

string
website

The website URL of the organization

string
Examplegenerated
{
"avatar_url": "example",
"description": "example",
"email": "example",
"full_name": "example",
"id": 1,
"location": "example",
"name": "example",
"repo_admin_change_team_access": true,
"username": "example",
"visibility": "example",
"website": "example"
}

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string